Do you need to have Snow Leopard to use the new Magic Mouse?

Back To Product

Follow this Question

2 Answers from the Community

  • Best Answer:

    No, you do not need to have Snow Leopard to use the new Magic Mouse. You will need at least OS X v10.5.8 for it to work though.

    Was this useful? Answer 1

    10 of 10 people found this useful

  • No but to use the multi-touch features you do.

    Was this useful? Answer 2

    2 of 2 people found this useful

Related Questions